package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.Visa_entry_typeRepository;
import com.realnet.basicp1.Entity.Visa_entry_type
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


	import org.springframework.stereotype.Service;

@Service
 public class Visa_entry_typeService {
@Autowired
private Visa_entry_typeRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;

public Visa_entry_type Savedata(Visa_entry_type data) {


	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Visa_entry_type save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Visa_entry_type> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Visa_entry_type> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Visa_entry_type> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Visa_entry_type getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Visa_entry_type update(Visa_entry_type data,Integer id) {
	Visa_entry_type old = Repository.findById(id).get();
old.setVisa_entry_type(data.getVisa_entry_type());

final Visa_entry_type test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
